liboggz 1.1.1

Data Fields
oggz_position Struct Reference

The position of an oggz_packet. More...

`#include <oggz_packet.h>`

## Data Fields
ogg_int64_t | calc_granulepos
| Granulepos calculated by inspection of codec data. More...
oggz_off_t | begin_page_offset
| Byte offset of the start of the page on which this packet begins.
oggz_off_t | end_page_offset
| Byte offset of the start of the page on which this packet ends.
int | pages
| Number of pages this packet spans.
int | begin_segment_index
| Index into begin_page's lacing values for the segment that begins this packet. More...

## Detailed Description

The position of an oggz_packet.

## Field Documentation

## ◆ begin_segment_index

int oggz_position::begin_segment_index

Index into begin_page's lacing values for the segment that begins this packet.

NB. if begin_page is continued then the first of these packets will not be reported by ogg_sync_packetout() after a seek. -1 if unknown.

## ◆ calc_granulepos

ogg_int64_t oggz_position::calc_granulepos

Granulepos calculated by inspection of codec data.

-1 if unknown

The documentation for this struct was generated from the following file:

- oggz_packet.h